<% 
// IBM Confidential     
// OCO Source Materials  
// 5724-Y00 
//  Copyrights by IBM Corp 1987, 2010. - All rights Reserved
// The source code for this program is not published or otherwise
// divested of its trade secrets, irrespective of what has
// been deposited with the U.S. Copyright Office.
%>

<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="ilog.rules.teamserver.web.util.IlrJSPUtil" %>
<%@ page import="ilog.rules.teamserver.web.beans.PreferencesBean"%>
<%@ page import="ilog.rules.teamserver.web.beans.ManagerBean"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<f:loadBundle basename="ilog.rules.teamserver.common.messages" var="bundle" />

<title>
	<h:outputText value="#{bundle.site_title_key}" />
</title>

<%-- dynamic import of CSS and JS --%>
<link href="<h:outputText value="#{SkinBean.cssPath}"/>/main<h:outputText value="#{ManagerBean.direction}"/>.css?v=<h:outputText value="#{AboutBean.fileVersion}"/>" type="text/css" rel="stylesheet" title="default" />
<link href="<h:outputText value="#{SkinBean.cssPath}"/>/print.css?v=<h:outputText value="#{AboutBean.fileVersion}"/>" type="text/css" rel="alternate stylesheet" title="print" />
<link href="<h:outputText value="#{SkinBean.cssPath}"/>/print.css?v=<h:outputText value="#{AboutBean.fileVersion}"/>" type="text/css" rel="stylesheet" media="print" />

<%--  favicon --%>
<link rel="icon" href="<%=request.getContextPath()%>/skins/common/icons/ws_brand.ico" type="image/x-icon"/>

<script type="text/javascript" src="<%=request.getContextPath()%>/utils.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/styleSwitcher.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/skins/common/js/prototype-1.6.0.2.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<h:outputText value="#{SkinBean.jsPath}"/>/main.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>

<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/yahoo/yahoo-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/event/event-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/dom/dom-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/container/container-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/logger/logger-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/connection/connection-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/treeview/treeview-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/yui/json/json-min.js?v=<h:outputText value="#{AboutBean.fileVersion}"/>"></script>

<h:panelGroup rendered="#{!ManagerBean.timeZoneSet}">
	<f:verbatim>
		<script language="JavaScript">
			var visitortime = new Date();
			if(visitortime) {
				var url = "<%=request.getContextPath() + IlrJSPUtil.getInitParameter(application, "ilog.rules.teamserver.web.faces_path")%>/action.jsp";
				var data = 'TimeZone=' + escape(visitortime.getTimezoneOffset());
				var xmlHttpReq = createXmlHttp();
				
				xmlHttpReq.open("POST", url, true);
				xmlHttpReq.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
				xmlHttpReq.send(data);
			}
		</script>
	</f:verbatim>
</h:panelGroup>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Pragma" CONTENT="no-cache" />
<meta http-equiv="Expires" CONTENT="-1" />
<meta http-equiv="Cache-Control" CONTENT="no-store, no-cache, must-revalidate" />

<% 
  response.setContentType("text/html;charset=UTF-8");
%>
